"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
const feature_indicators_formulaes_1 = require("./features/feature_indicators_formulaes");
const feature_strategy_runner_1 = require("./features/feature_strategy_runner");
const fs = __importStar(require("fs"));
const r = fs.readFileSync(process.cwd() + "/src/sample_ohlc.json", "utf-8");
const rs = JSON.parse(r);
const candles = rs.data.symbol_ticks
    .map((item) => ({
    ...item,
    open: item.open / 1000,
    close: item.close / 1000,
    high: item.high / 1000,
    low: item.low / 1000,
}))
    .slice(0, 250);
// const parser = new DSLParser(mockCandles, function_registry);
// const index = 2;
// const result = parser.evaluate("ema(2, 3)", { entry_price: 22 });
// console.log(`DSL at index ${index}:`, result);
const s_schema = {
    name: "test",
    entry_long: "ema(9, 0) > ema(21, 0)",
    exit_long: "ema(9, 0) < ema(21, 0)",
    capital: 1000,
    stop_loss_expr: "entry_price() * 0.995",
};
const strat = new feature_strategy_runner_1.StrategyRunner(candles, s_schema, feature_indicators_formulaes_1.DEFAULT_FUNCTION_REGISTRY);
const res = strat.run();
const report = strat.get_report();
console.log(report);
//# sourceMappingURL=test.js.map